package com.jxml.quick.tf;
import com.jxml.quick.*;
import com.jxml.quick.access.*;
import java.beans.*;
import java.lang.reflect.*;

public class QPropertyEditorTF implements QTargetFactory
{
    public Object create(QContext context)
	throws QPE
    {
	return new QPropertyEditor();
    }

    public boolean isInstance(Object object, QContext context)
    {
	return object instanceof QPropertyEditor;
    }

    public String getName(Object object)
    {
	return "";
    }

    public String getText(Object object, 
			  QContext context)
	throws QPE
    {
	return "";
    }

    public void add(Object object, 
		    String name, 
		    String text,
		    QAccess access,
		    Object parent,
		    QTargetFactory parentFactory,
		    QContext context)
	throws QPE
    {
	if (object==null)
	    object=create(context);
	if (parent==null)
	    context.doc.setRoot(object);
	else
	    access.add(parent,parentFactory,object,context);
    }

    public PropertyDescriptor[] getPropertyDescriptors(QContext context)
	throws QPE
    {
	return null;
    }

    public Field[] getFields(QContext context)
	throws QPE
    {
	return null;
    }
}
